/*
 * ******************************************************************************************
 *
 * File		: apb_uart_hw.h
 * Author	: GOWIN
 * Function	: Hardware configuration of APB UART
 *
 * ******************************************************************************************
 */

#ifndef __APB_UART_HW_H__
#define __APB_UART_HW_H__


#ifdef __cplusplus
extern "C" {
#endif


/**********************************************************************************************
 *
 * DMA feature configured in hardware.
 *
 * If you selected "Enable DMA" in APB UART IPCore, it is "#define APB_UART_DMA_EN 1"
 * else it is "#define APB_UART_DMA_EN 0"
 *
 **********************************************************************************************/
#define APB_UART_DMA_EN				1	// DMA TX or RX. 1: enable; 0: disable


#ifdef __cplusplus
}
#endif


#endif	/* __APB_UART_HW_H__ */
