/*
 * ******************************************************************************************
 *
 * File		: apb_uart_hal.h
 * Author	: GOWIN
 * Function	: Hardware platform level definition of APB UART
 *
 * ******************************************************************************************
 */

#ifndef __APB_UART_HAL_H__
#define __APB_UART_HAL_H__


#ifdef __cplusplus
extern "C" {
#endif


// Includes ---------------------------------------------------------------------------------
#include "platform.h"
#include "dma_ae350.h"


// Definitions  -----------------------------------------------------------------------------

// UART clock frequency
#define _UCLKFREQ				UCLKFREQ


/************************* DMA **********************************/
// Should be re-defined by user based on different platform.
// ...


/************************ INTERRUPT *****************************/
// Should be re-defined by user based on different platform.
// ...
void hal_disable_interrupt(unsigned int source);	// Disable interrupt
void hal_enable_interrupt(unsigned int source);		// Enable interrupt


#ifdef __cplusplus
}
#endif


#endif	/* __APB_UART_HAL_H__ */
